<template>
  <form @submit.prevent="submit()">
    <div class="form-row">
      <div class="col-md-6">
        <div class="form-group">
          <label for="documentType" class="small mb-0">Documento</label>
          <select id="documentType" class="form-control" v-model="documentType">
            <option
              :value="item.value"
              v-for="item in documentsList"
              :key="item.value"
            >
              {{ item.text }}
            </option>
          </select>

          <span class="form-error" v-if="$v.documentType.$error && !$v.documentType.required">Tipo de documento es requerido</span>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label for="numberDocument" class="small mb-0">Nro. documento</label>
          <input
            type="number"
            id="numberDocument"
            placeholder="Ingresar"
            class="form-control"
            v-model="numberDocument"
          />

          <span class="form-error" v-if="$v.numberDocument.$error && !$v.numberDocument.required">Nro de documento es requerido</span>
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="col-md-6">
        <div class="form-group">
          <label for="name" class="small mb-0">Nombres</label>
          <input
            type="text"
            id="name"
            placeholder="Ingresar nombres"
            class="form-control"
            v-model="name"
          />
          <span class="form-error" v-if="$v.name.$error && !$v.name.required">Nombres son requeridos</span>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label for="lastname" class="small mb-0">Apellidos</label>
          <input
            type="text"
            id="lastname"
            placeholder="Ingresar apellidos"
            class="form-control"
            v-model="lastname"
          />
          <span class="form-error" v-if="$v.lastname.$error && !$v.lastname.required">Apellidos son requeridos</span>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-6">
        <div class="form-group">
          <label for="email" class="small mb-0">Correo electrónico</label>
          <input
            type="email"
            id="email"
            placeholder="Ingresa tu correo"
            class="form-control"
            v-model="email"
          />
          <span class="form-error" v-if="$v.email.$error && !$v.email.required">Correo es requerido</span>
          <span class="form-error" v-if="$v.email.$error && !$v.email.email">Debe ingresar un correo electrónico</span>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label for="password" class="small mb-0">Contraseña</label>
          <input
            type="password"
            id="password"
            placeholder="Ingresa tu contraseña"
            class="form-control"
            v-model="password"
          />
          <span class="form-error" v-if="$v.password.$error && !$v.password.required">Contraseña es requerida</span>
        </div>
      </div>
    </div>

    <div class="form-group mt-3">
      <button
        type="submit"
        class="btn btn-primary btn-block mb-3 text-white"
        @click="sectionType = 'login'"
      >
        Ingresar
      </button>
    </div>
  </form>
</template>

<script>
import { required, email } from "vuelidate/lib/validators";

export default {
  name: "FormLogin",
  data() {
    return {
      documentsList: [
        {
          value: null,
          text: "Seleccione",
        },
        {
          value: "DNI",
          text: "DNI",
        },
        {
          value: "PASAPORTE",
          text: "Pasaporte",
        },
        {
          value: "C.E.",
          text: "Carnet de extranjería",
        },
      ],
      documentType: null,
      numberDocument: null,
      name: null,
      lastname: null,
      email: null,
      password: null,
    };
  },
  validations: {
    documentType: {
      required,
    },
    numberDocument: {
      required,
    },
    name: {
      required
    },
    lastname: {
      required
    },
    email: {
      required,
      email
    },
    password: {
      required
    }
  },
  methods: {
    submit() {
      this.$v.$touch();
      if (this.$v.$error) return;

      console.log("Register");
    },
  },
};
</script>

<style>
</style>